<?php

namespace Litecms\Subcategory\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class SubcategoryTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Subcategory\Models\Subcategory $subcategory)
    {
        return [
            'id'                => $subcategory->getRouteKey(),
            'key'               => [
                'public'    => $subcategory->getPublicKey(),
                'route'     => $subcategory->getRouteKey(),
            ], 
            'category_id'       => $subcategory->category_id,
            'name'              => $subcategory->name,
            'description'       => $subcategory->description,
            'status'            => $subcategory->status,
            'url'               => [
                'public'    => trans_url('subcategory/'.$subcategory->getPublicKey()),
                'user'      => guard_url('subcategory/subcategory/'.$subcategory->getRouteKey()),
            ], 
            'status'            => trans('app.'.$subcategory->status),
            'created_at'        => format_date($subcategory->created_at),
            'updated_at'        => format_date($subcategory->updated_at),
        ];
    }
}